Your submission was sent successfully! Close

CVE-2019-18885

Published: 14 November 2019

fs/btrfs/volumes.c in the Linux kernel before 5.1 allows a btrfs_verify_dev_extents NULL pointer dereference via a crafted btrfs image because fs_devices->devices is mishandled within find_device, aka CID-09ba3bc9dd15.

From the Ubuntu security team

It was discovered that the btrfs file system in the Linux kernel did not properly validate metadata, leading to a NULL pointer dereference. An attacker could use this to specially craft a file system image that, when mounted, could cause a denial of service (system crash).

Priority

Low

CVSS 3 base score: 5.5

Status

Package Release Status
linux
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-88.88)
disco Pending
(5.0.0-40.44)
eoan Not vulnerable
(5.2.0-8.9)
focal Not vulnerable
(5.4.0-9.12)
precise Ignored
(was needs-triage ESM criteria)
trusty Ignored
(was needs-triage ESM criteria)
upstream
Released (5.1~rc1)
xenial
Released (4.4.0-173.203)
linux-aws
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1060.62)
disco Ignored
(was pending \[5.0.0-1024.27\] now end-of-life)
eoan Not vulnerable
(5.3.0-1003.3)
focal Not vulnerable
(5.4.0-1005.5)
precise Does not exist

trusty
Released (4.4.0-1061.65)
upstream
Released (5.1~rc1)
xenial
Released (4.4.0-1101.112)
linux-aws-5.0
Launchpad, Ubuntu, Debian
bionic
Released (5.0.0-1024.27~18.04.1)
disco Does not exist

eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial Does not exist

linux-aws-hwe
Launchpad, Ubuntu, Debian
bionic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial
Released (4.15.0-1060.62~16.04.1)
linux-azure
Launchpad, Ubuntu, Debian
bionic
Released (5.0.0-1029.31~18.04.1)
disco Ignored
(was pending \[5.0.0-1029.31\] now end-of-life)
eoan Not vulnerable
(5.3.0-1002.2)
focal Not vulnerable
(5.4.0-1006.6)
precise Does not exist

trusty
Released (4.15.0-1071.76~14.04.1)
upstream
Released (5.1~rc1)
xenial
Released (4.15.0-1071.76)
linux-azure-5.3
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(5.3.0-1007.8~18.04.1)
disco Does not exist

eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial Does not exist

linux-azure-edge
Launchpad, Ubuntu, Debian
bionic Ignored
(was needs-triage now end-of-life)
disco Does not exist

eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial Ignored
(was needs-triage now end-of-life)
linux-gcp
Launchpad, Ubuntu, Debian
bionic
Released (5.0.0-1029.30~18.04.1)
disco Ignored
(was pending \[5.0.0-1029.30\] now end-of-life)
eoan Not vulnerable
(5.3.0-1003.3)
focal Not vulnerable
(5.4.0-1005.5)
precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial
Released (4.15.0-1055.59)
linux-gcp-5.3
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(5.3.0-1008.9~18.04.1)
disco Does not exist

eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial Does not exist

linux-gcp-edge
Launchpad, Ubuntu, Debian
bionic Ignored
(was needs-triage now end-of-life)
disco Does not exist

eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial Does not exist

linux-gke-4.15
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1052.55)
disco Does not exist

eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial Does not exist

linux-gke-5.0
Launchpad, Ubuntu, Debian
bionic
Released (5.0.0-1029.30~18.04.1)
disco Does not exist

eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial Does not exist

linux-gke-5.3
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(5.3.0-1011.12~18.04.1)
eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial Does not exist

linux-hwe
Launchpad, Ubuntu, Debian
bionic
Released (5.3.0-26.28~18.04.1)
disco Does not exist

eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial
Released (4.15.0-88.88~16.04.1)
linux-hwe-edge
Launchpad, Ubuntu, Debian
bionic Ignored
(was pending \[5.3.0-19.20~18.04.2\] now end-of-life)
disco Does not exist

eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial Ignored
(was needs-triage now end-of-life)
linux-kvm
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1053.53)
disco Ignored
(was pending \[5.0.0-1025.27\] now end-of-life)
eoan Not vulnerable
(5.3.0-1003.3)
focal Not vulnerable
(5.4.0-1004.4)
precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial
Released (4.4.0-1065.72)
linux-lts-trusty
Launchpad, Ubuntu, Debian
bionic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

precise Ignored
(was needs-triage ESM criteria)
trusty Does not exist

upstream
Released (5.1~rc1)
xenial Does not exist

linux-lts-xenial
Launchpad, Ubuntu, Debian
bionic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

precise Does not exist

trusty
Released (4.4.0-173.203~14.04.1)
upstream
Released (5.1~rc1)
xenial Does not exist

linux-oem
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1073.83)
disco Ignored
(reached end-of-life)
eoan
Released (4.15.0-1073.83)
focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial Ignored
(was needs-triage now end-of-life)
linux-oem-5.6
Launchpad, Ubuntu, Debian
bionic Does not exist

eoan Does not exist

focal Not vulnerable
(5.4.0-1002.4)
precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial Does not exist

linux-oem-osp1
Launchpad, Ubuntu, Debian
bionic
Released (5.0.0-1037.42)
disco Ignored
(reached end-of-life)
eoan
Released (5.0.0-1037.42)
focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial Does not exist

linux-oracle
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1033.36)
disco Ignored
(was pending \[5.0.0-1010.15\] now end-of-life)
eoan Not vulnerable
(5.3.0-1002.2)
focal Not vulnerable
(5.4.0-1005.5)
precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial
Released (4.15.0-1033.36~16.04.1)
linux-oracle-5.0
Launchpad, Ubuntu, Debian
bionic
Released (5.0.0-1010.15~18.04.1)
disco Does not exist

eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial Does not exist

linux-oracle-5.3
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(5.3.0-1011.12~18.04.1)
eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial Does not exist

linux-raspi2
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1055.59)
disco Ignored
(was pending \[5.0.0-1025.26\] now end-of-life)
eoan Not vulnerable
(5.3.0-1005.6)
focal Not vulnerable
(5.4.0-1004.4)
precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial
Released (4.4.0-1128.137)
linux-raspi2-5.3
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(5.3.0-1017.19~18.04.1)
eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial Does not exist

linux-snapdragon
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1072.79)
disco Ignored
(was pending \[5.0.0-1029.31\] now end-of-life)
eoan Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (5.1~rc1)
xenial
Released (4.4.0-1132.140)